#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_LuckTurnCFGData
{
	//编号
	int mID;
	//道具
	int mItem;
	//数量
	int mCount;
	//权重
	int mWeight;
};

class M_LuckTurnCFG
{
public:
private:
	static std::auto_ptr<M_LuckTurnCFG> msSingleton;
public:
	int GetCount();
	const M_LuckTurnCFGData* GetData(int ID);
	boost::unordered_map<int, M_LuckTurnCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_LuckTurnCFG* GetSingleton();
private:
	boost::unordered_map<int, M_LuckTurnCFGData> mMapData;
};
